作者 主題: 舊版 Centos 光碟映像檔及軟體下載  (閱讀 10925 次)

0 會員 與 1 訪客 正在閱讀本文。

acty

  • 鑽研的研究生
  • *****
  • 文章數: 694
    • 檢視個人資料
    • UNIX 管理者的學習紀錄
舊版 Centos 光碟映像檔及軟體下載
« 於: 2008-01-21 15:11 »
我想 安裝舊版作業系統 應該很少人會這樣做
通常是軟、硬體限制 才會需要安裝舊版的作業系統

舊版的 CentOS 光碟映像檔或是軟體 可以到 CentOS Vault 下載
http://vault.centos.org/

之前裝 Linux 版 的Sysgate Enforcer Linux 就遇到非要 REHL3
而且只支援特定版本 Kernel 2.4.21-27EL or Kernel 2.4.21-4EL
ref: http://www.savetime.com.tw/new_symantec/se_Network_Access_Control.asp

記得善用 Google 精神 ex. kernel 2.4.21-27 site:vault.centos.org
~~破窗計畫來囉~~~

學習與挑戰是我的樂趣... HIT!!
我知道的不多  但歡迎大家以起來討論

UNIX 管理者的學習紀錄 - http://actychen.wordpress.com

kenduest

  • 酷!學園 學長們
  • 俺是博士!
  • *****
  • 文章數: 3675
    • 檢視個人資料
    • http://kenduest.sayya.org
I am kenduest - 小州

my website: http://kenduest.sayya.org/

acty

  • 鑽研的研究生
  • *****
  • 文章數: 694
    • 檢視個人資料
    • UNIX 管理者的學習紀錄
回覆: 舊版 Centos 光碟映像檔及軟體下載
« 回覆 #2 於: 2008-01-22 15:09 »
舊版的沒有放....

國內好像只有一個站有放

而且只有 iso 檔
~~破窗計畫來囉~~~

學習與挑戰是我的樂趣... HIT!!
我知道的不多  但歡迎大家以起來討論

UNIX 管理者的學習紀錄 - http://actychen.wordpress.com

kenduest

  • 酷!學園 學長們
  • 俺是博士!
  • *****
  • 文章數: 3675
    • 檢視個人資料
    • http://kenduest.sayya.org
回覆: 舊版 Centos 光碟映像檔及軟體下載
« 回覆 #3 於: 2008-02-21 21:41 »
舊版的沒有放....
國內好像只有一個站有放
而且只有 iso 檔

你可以舉個例子像是哪個東西沒放呢 ? ftp.isu.edu.tw 2.x 到 5.x 都有,不管是 source/binary/iso 不都有呼 ?

--
I am kenduest - 小州

my website: http://kenduest.sayya.org/

acty

  • 鑽研的研究生
  • *****
  • 文章數: 694
    • 檢視個人資料
    • UNIX 管理者的學習紀錄
回覆: 舊版 Centos 光碟映像檔及軟體下載
« 回覆 #4 於: 2008-02-21 23:26 »
可能還需要你看清楚一下喔   那些有些是 link 不是真的

所有 3.X -> 都連結到 3 的最新版
4 版只有 4.5 , 4.6 有內容
5 版剛出來  所以就都在

ex. 3.4 的目錄 ftp://ftp.isu.edu.tw/Linux/CentOS/3.4/isos/i386/
裡面卻是 3.9
File: CentOS-3.9-i386-bin1of3.iso      653392 KB      2007/7/3      上午 12:00:00
File: CentOS-3.9-i386-bin2of3.iso     654380 KB     2007/7/3     上午 12:00:00
File: CentOS-3.9-i386-bin3of3.iso     512438 KB     2007/7/3     上午 12:00:00
File: CentOS-3.9-i386-binDVD.iso     1818486 KB     2007/7/17     上午 12:00:00
File: CentOS-3.9-i386-binDVD.torrent     140 KB     2007/7/24     上午 12:00:00
File: CentOS-3.9-server-i386.iso     696574 KB     2007/7/19     上午 12:00:00
File: MD5SUMS     1 KB     2007/7/24     上午 12:00:00
File: md5sum.dvd     1 KB     2007/7/24     上午 12:00:00
File: md5sum.svr     1 KB     2007/7/19     上午 12:00:00
~~破窗計畫來囉~~~

學習與挑戰是我的樂趣... HIT!!
我知道的不多  但歡迎大家以起來討論

UNIX 管理者的學習紀錄 - http://actychen.wordpress.com

kenduest

  • 酷!學園 學長們
  • 俺是博士!
  • *****
  • 文章數: 3675
    • 檢視個人資料
    • http://kenduest.sayya.org
回覆: 舊版 Centos 光碟映像檔及軟體下載
« 回覆 #5 於: 2008-02-21 23:53 »
嗯,的確是。

不過你需要正確舊版的環境呼,要不然最後都還是 yum update 到 3.9 的版本 ? :-)

centos 這類版本有 kernel 更新,但是主要版本維持不變。其他 package 部份一般也都只是 security or bug fixed 的釋出,所以一般來說是比較少看到一定得要 centos 3.x 內比較不是最新的版本。

--
« 上次編輯: 2008-02-21 23:55 由 kenduest »
I am kenduest - 小州

my website: http://kenduest.sayya.org/

acty

  • 鑽研的研究生
  • *****
  • 文章數: 694
    • 檢視個人資料
    • UNIX 管理者的學習紀錄
回覆: 舊版 Centos 光碟映像檔及軟體下載
« 回覆 #6 於: 2008-02-22 00:11 »
引用
不過你需要正確舊版的環境呼,要不然最後都還是 yum update 到 3.9 的版本 ?

前言就有寫....
引用
之前裝 Linux 版 的Sygate Enforcer Linux 就遇到非要 REHL3
而且只支援特定版本 Kernel 2.4.21-27EL or Kernel 2.4.21-4EL
ref: http://www.savetime.com.tw/new_symantec/se_Network_Access_Control.asp

公司已經有兩台是目前被限制版本無法升級了  >_<

~~破窗計畫來囉~~~

學習與挑戰是我的樂趣... HIT!!
我知道的不多  但歡迎大家以起來討論

UNIX 管理者的學習紀錄 - http://actychen.wordpress.com

kenduest

  • 酷!學園 學長們
  • 俺是博士!
  • *****
  • 文章數: 3675
    • 檢視個人資料
    • http://kenduest.sayya.org
回覆: 舊版 Centos 光碟映像檔及軟體下載
« 回覆 #7 於: 2008-02-22 01:14 »

kernel module ? 若是的話應該還好可以解決。

代碼: [選擇]
objcopy -R .module_sig filename.ko newfilename.ko
於 kernel 2.6 就是這樣使用的,然後用產生的檔案覆蓋即可。

不過手上沒 kernel 2.4 環境所以無法測試。

--
I am kenduest - 小州

my website: http://kenduest.sayya.org/

allnewlinux

  • 俺是博士!
  • *****
  • 文章數: 1455
    • 檢視個人資料
回覆: 舊版 Centos 光碟映像檔及軟體下載
« 回覆 #8 於: 2008-02-22 08:19 »
我想 安裝舊版作業系統 應該很少人會這樣做
通常是軟、硬體限制 才會需要安裝舊版的作業系統

舊版的 CentOS 光碟映像檔或是軟體 可以到 CentOS Vault 下載
http://vault.centos.org/

之前裝 Linux 版 的Sysgate Enforcer Linux 就遇到非要 REHL3
而且只支援特定版本 Kernel 2.4.21-27EL or Kernel 2.4.21-4EL
ref: http://www.savetime.com.tw/new_symantec/se_Network_Access_Control.asp

記得善用 Google 精神 ex. kernel 2.4.21-27 site:vault.centos.org

非常感謝~~我終於找到4.0和4.2版的ISO檔了 ;D(因為某些I/O卡..只出了4.0 or 4.2的driver, 我的RHEL AS4 是UP5的,沒辦法用)

acty

  • 鑽研的研究生
  • *****
  • 文章數: 694
    • 檢視個人資料
    • UNIX 管理者的學習紀錄
回覆: 舊版 Centos 光碟映像檔及軟體下載
« 回覆 #9 於: 2008-02-22 09:07 »
是的... 如果是廠商提供的驅動程式  或是 kernel 級的底層程式   通常是與 kernel 綁在一起的

To: allnewlinux
為了以防萬一    我也都留下每個版本的 server.iso 如果沒有  就留第一片
對了  你的卡片是用哪個 .ko 你可以先看看 5.X 的 /lib/module 有沒有相同的檔
如果有表示 5.X 的 kernel 已經支援  可以升級看看

之前幫一個人升級一台有Promise FastTrak RAID 卡機器
從  Redhat 9 到 CentOS5 結果在 4.X 掛點
後來看到 5.X 的 kernel module 居然有那張 RAID 的驅動程式 (.ko)  於是就升級成功
« 上次編輯: 2008-02-22 09:53 由 acty »
~~破窗計畫來囉~~~

學習與挑戰是我的樂趣... HIT!!
我知道的不多  但歡迎大家以起來討論

UNIX 管理者的學習紀錄 - http://actychen.wordpress.com

allnewlinux

  • 俺是博士!
  • *****
  • 文章數: 1455
    • 檢視個人資料
回覆: 舊版 Centos 光碟映像檔及軟體下載
« 回覆 #10 於: 2008-02-25 16:22 »
是的... 如果是廠商提供的驅動程式  或是 kernel 級的底層程式   通常是與 kernel 綁在一起的

To: allnewlinux
為了以防萬一    我也都留下每個版本的 server.iso 如果沒有  就留第一片
對了  你的卡片是用哪個 .ko 你可以先看看 5.X 的 /lib/module 有沒有相同的檔
如果有表示 5.X 的 kernel 已經支援  可以升級看看

之前幫一個人升級一台有Promise FastTrak RAID 卡機器
從  Redhat 9 到 CentOS5 結果在 4.X 掛點
後來看到 5.X 的 kernel module 居然有那張 RAID 的驅動程式 (.ko)  於是就升級成功

我也是用Promise TX2300和SX4100~~~都只能在RH9玩~~~

本來抓了RHEL 4UP2的driver. 但怎樣都抓不到Card. OS是 RHEL AS4 UP2 說 ...

acty

  • 鑽研的研究生
  • *****
  • 文章數: 694
    • 檢視個人資料
    • UNIX 管理者的學習紀錄
回覆: 舊版 Centos 光碟映像檔及軟體下載
« 回覆 #11 於: 2008-02-25 20:41 »
我也是用Promise TX2300和SX4100~~~都只能在RH9玩~~~

本來抓了RHEL 4UP2的driver. 但怎樣都抓不到Card. OS是 RHEL AS4 UP2 說 ...
我是用 FastTrak100 TX2 
5.X 是用重新安裝  有試過升級安裝但無法寫入資料
升級後 /etc/modprobe.conf
alias scsi_hostadapter ata_piix

device 變成 /dev/mapper/pdc_bcefbihaf

很奇怪的是他並沒有用 sata_promise.ko 這個模組
~~破窗計畫來囉~~~

學習與挑戰是我的樂趣... HIT!!
我知道的不多  但歡迎大家以起來討論

UNIX 管理者的學習紀錄 - http://actychen.wordpress.com